For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTCreate a report
      • GETRetrieve a report
      • GETList all reports
      • DELDelete a report
LogoLogo
Legacy DocsSign in
API ReferenceReports

List all reports

GET
https://api.ntropy.com/v3/reports
GET
/v3/reports
$curl https://api.ntropy.com/v3/reports \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "next_cursor": "eyJwYWdlIjoxLCJpZCI6IjY3ODkwYWJjZC1lZjEyLTM0NTYtYmY3OC1hYmNkZWYxMjM0NTYifQ==",
3 "data": [
4 {
5 "transaction_id": "tx_9f8b7c6d4e3a2b1c",
6 "description": "Incorrect merchant category code detected",
7 "fields": [
8 "merchant.category_code"
9 ],
10 "id": "a652285d-de1b-4a6f-b6ce-45efa9be7952",
11 "created_at": "2024-01-15T09:30:00Z",
12 "status": "open",
13 "rejection_reason": null
14 }
15 ]
16}
List all reports
Was this page helpful?
Previous

Delete a report

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Query parameters

created_afterdatetime or nullOptional
Only return report older or equal than this date
created_beforedatetime or nullOptional
Only return report newer than this date
cursorstring or nullOptional
Starting point for the set of report
limitintegerOptional1-50Defaults to 10
The limit of report to be returned
statusenum or nullOptional
If specified, only return reports with this status
Allowed values:

Response

Successful Response
next_cursorstring or null
datalist of objects

Errors

422
Unprocessable Entity Error